{% extends "ajax/game/town/town.html.twig" %}
{% block content %}
    {% set wtt = conf.get(constant('App\\Structures\\TownConf::CONF_MODIFIER_WT_THRESHOLD'),33) %}
    <div class="help">
        {% trans from 'game' %}
            Mithilfe des Wachturms kann die Stärke des nächtlichen Angriffs abgeschätzt werden. Je mehr Bürger sich an der Abschätzung beteiligen, desto genauer wird das Ergebnis.
        {% endtrans %}
    </div>

    <h5>{{ 'Wachturm'|trans({},'buildings') }}</h5>
    <div class="block watchtower">
        <div class="row">
            {% if z0[4] >= wtt %}
            <div class="padded cell rw-12 left">
                {{ 'Heutige Abschätzung'|trans({},'game') }}
            </div>
            <div class="cell rw-12 center">
                <b>{{ z0[2] }} - {{ z0[3] }}</b> <img alt="{{ 'Zombies'|trans({},'game') }}" src="{{ asset('build/images/icons/small_zombie.gif') }}" />
            </div>
            {% else %}
                <div class="padded cell rw-12 center">
                    {{ 'Unbekannt'|trans({}, 'game')}}
                </div>
            {% endif %}
        </div>
        <div class="row">
            <div class="padded cell rw-12 center small">
                <div class="watchtower-prediction">
                    <p>{{ 'Qualität der Abschätzung'|trans({},'game') }}</p>
                    <div class="watchtower-prediction-bar">
                        <div class="watchtower-prediction-progress" style="width: {{ z0[4] }}%;"></div>
                        <div class="watchtower-prediction-text" style="width: {{ z0[4] }}%;">{{ z0[4] }}%</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="padded cell rw-12 center small">
            {% if z0[4] < 100 %}
                <button {% if not z0_av %}disabled{% endif%} x-predict-attack="0"><img src="{{ asset('build/images/soul/r_explor.gif') }}" /> {{ 'Abschätzung verbessern'|trans({},'game') }}</button>
            {% endif %}
            </div>
        </div>
    </div>

    <div class="block">
        <div class="row">
            <div class="padded cell rw-12 center">
                <strong>{{ 'Morgige Abschätzung'|trans({},'game') }}</strong>
            </div>
        </div>
        <div class="row">
            {% if z1[0] %}
            <div class="padded cell rw-12 center">
                {% if z1[1] %}
                    <b>{{ z1[2] }} - {{ z1[3] }}</b> <img alt="{{ 'Zombies'|trans({},'game') }}" src="{{ asset('build/images/icons/small_zombie.gif') }}" />
                {% else %}
                    <b>???</b> <img alt="{{ 'Zombies'|trans({},'game') }}" src="{{ asset('build/images/icons/small_zombie.gif') }}" />
                {% endif %}
            </div>
            <div class="padded cell rw-12 center small">
                {% if z1[1] %}
                    <div class="watchtower-prediction">
                        <p>{{ 'Qualität der Abschätzung'|trans({},'game') }}</p>
                        <div class="watchtower-prediction-bar">
                            <div class="watchtower-prediction-progress" style="width: {{ z1[4] }}%;"></div>
                            <div class="watchtower-prediction-text" style="width: {{ z1[4] }}%;">{{ z1[4] }}%</div>
                        </div>
                    </div>
                {% endif %}
            </div>
            <div class="padded cell rw-12 center small">
                {% if z1[1] %}
                    <button {% if not z1_av %}disabled{% endif%} x-predict-attack="1"><img src="{{ asset('build/images/soul/r_explor.gif') }}" /> {{ 'Abschätzung verbessern'|trans({},'game') }}</button>
                {% endif %}
            </div>
            {% else %}
                <div class="padded cell rw-12 center">
                    {{'Wir haben noch nicht die Technologie, um den morgigen Angriff zu beurteilen.'|trans({}, 'game')}}
                </div>
                <div class="padded cell rw-12 center">
                    <button disabled><img src="{{ asset('build/images/building/item_electro.gif') }}" /> {{ 'Den morgigen Angriff berechnen'|trans({},'game') }}</button>
                </div>
            {% endif %}
        </div>
    </div>


    <div class="small-note">
        {% trans from 'game' %}
            Wow, von hier oben kannst du praktisch alles sehen! Schade nur, dass dieses 'alles' sich auf eine leere Sandwüste beschränkt. Wenn du ganz genau hinschaust, kannst du jedoch die Zombies zählen, die sich Richtung Stadt schleppen.
        {% endtrans %}
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        let buttons = document.querySelectorAll('[x-predict-attack]');
        for (let i = 0; i < buttons.length; i++)
            buttons[i].addEventListener('click', function() {
                const day = this.getAttribute('x-predict-attack');
                $.ajax.easySend( '{{ path('town_watchtower_estimate_controller') }}', {day: day},
                    function () {
                        $.ajax.load(null, '{{ path('town_watchtower') }}', true);
                    } );
            });
    </script>
{% endblock %}